@mixin example {
  background-color: grey;
  color: white;
}

@mixin exampleParams ($param1: 8px, $param2: red) {
  border-radius: $param1;
  color: $param2;
}

@mixin compound {
  @include example;
  @include exampleParams(20, grey);
}

@mixin compound2 {
  @include example;
  @include exampleParams($param2: green);
}